<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_e1d494d0cbef80819ebc" . "c2c1a58813a7" => base64_decode("Y29tbW9uLnR5cGU" . "ucHViX3BhZ2U="), "_0c5123aa744f69bbc0e8b3ea" . "2f6e847d" => base64_decode("bG1z" . "Zw=="), "_0ed3a0e" . "ef0eb416" . "ab3b586e" . "d096d218" . "4" => base64_decode("cHVibGlzaC5wdWJsaXNoX2ZvbG" . "Rlcg=="), "_5fde92609a43c9" . "160462278aec060" . "406" => base64_decode("Y29tbW9uLnVua25" . "vd24="), "_1d9d2c71" . "a172429c1" . "ebe7f586b" . "87a549" => base64_decode("cHVibGlzaC5wYWdlX" . "3ZlcnNpb24="));






abstract class TrashObjectPublish extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        $_6c31fe38b922bf6d32ca6b96f4cd3945 = \PublishBrowser::Instance();
        if ($_6c31fe38b922bf6d32ca6b96f4cd3945->DeleteObjectById($this->obj_id, $this->aggregation, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($_6c31fe38b922bf6d32ca6b96f4cd3945->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    public function Restore()
    {
        $_6c31fe38b922bf6d32ca6b96f4cd3945 = \PublishBrowser::Instance();
        if (!$_6c31fe38b922bf6d32ca6b96f4cd3945->UndeleteObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($_6c31fe38b922bf6d32ca6b96f4cd3945->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_PUB_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_0ed3a0eef0e" . "b416ab3b586e" . "d096d2184"]);
            case AGGREGATION_PUB_PAGE:
                return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e1d494d0cbef80819ebcc2c1a5" . "8813a7"]);
            case AGGREGATION_PUB_PAGE_VERSION:
                return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_1d9d2c71a172429c" . "1ebe7f586b87a549"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_5fde92609a43c9160462278" . "aec060406"]);
    }
}